Skip to main content
DELETE
Delete a function for a definition

Supported products

Authorizations

hapikey
string
query
required

Path Parameters

appId
integer<int32>
required

The ID of the app from which the function will be deleted.

definitionId
string
required

The ID of the definition from which the function will be deleted.

functionType
enum<string>
required

The type of function to delete, with accepted values: POST_ACTION_EXECUTION, POST_FETCH_OPTIONS, PRE_ACTION_EXECUTION, PRE_FETCH_OPTIONS.

Available options:
POST_ACTION_EXECUTION,
POST_FETCH_OPTIONS,
PRE_ACTION_EXECUTION,
PRE_FETCH_OPTIONS

Response

No content

Last modified on March 30, 2026